%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtimageformats
Version:       6.3.0
Release:       1mamba
Summary:       Qt6 image formats components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtimageformats-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END

%description
Qt6 image formats components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtimageformats-everywhere-src-%{version}

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/qt6/plugins/imageformats
%{_libdir}/qt6/plugins/imageformats/lib*.so
%doc LICENSE.*

%files devel
%defattr(-,root,root)
%{_libdir}/cmake/Qt6/FindLibmng.cmake
%{_libdir}/cmake/Qt6/FindWrapJasper.cmake
%{_libdir}/cmake/Qt6/FindWrapWebP.cmake
%{_libdir}/cmake/Qt6Gui/Qt6*.cmake

%changelog
* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2-1mamba
- update to 6.2.2

* Sat Nov 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
